View Issue Details

IDProjectCategoryView StatusLast Update
0003344SOGoWeb Calendarpublic2015-09-14 10:56
ReporterJens Erat Assigned Toludovic  
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.3.1 
Fixed in Version2.3.2 
Summary0003344: Events shifted by an hour (again?) the week before the switch back to standard time (2015-10-18 to 2015-10-25)
Description

I think this is a regression and was solved for one of the last releases, but the issue seems to be back again.

Events in the week before the switch back to standard time (2015-10-18 to 2015-10-25) are shifted by an hour when created (so they're displayed wrong in CalDAV clients like Thunderbird, and have a wrong time in the event sources), but the web GUI again shifts them back to the correct time.

It also works the other way round: creating an event in Thunderbird results in the event being displayed one hour late in SOGo.

Tested with Timezone Europe/Berlin.

Steps To Reproduce
  1. Create appointment on 2015-10-25 at 18:00, save it.

  2. Event displayed correctly in web GUI.

  3. View event sources, event created as

    DTSTART;TZID=Europe/Berlin:20151024T170000
  4. View calendar in Thunderbird, appointment displayed at 17:00.

TagsNo tags attached.

Activities

ludovic

ludovic

2015-09-14 06:39

administrator   ~0008911

Which version of Thunderbird/Lightning?

Show the source of the event too.

ludovic

ludovic

2015-09-14 10:56

administrator   ~0008915

https://github.com/inverse-inc/sogo/commit/652ae763d4ed3021ccfab9a4efcaa1a2232cd84e

Issue History

Date Modified Username Field Change
2015-09-14 04:50 Jens Erat New Issue
2015-09-14 06:39 ludovic Note Added: 0008911
2015-09-14 10:56 ludovic Note Added: 0008915
2015-09-14 10:56 ludovic Status new => resolved
2015-09-14 10:56 ludovic Fixed in Version => 2.3.2
2015-09-14 10:56 ludovic Resolution open => fixed
2015-09-14 10:56 ludovic Assigned To => ludovic